Manifest-Version: 1.0
Bnd-LastModified: 1729073471408
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Headless Commerce Delivery Cart Implementation
Bundle-SymbolicName: com.liferay.headless.commerce.delivery.cart.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.53.hotfix-6115-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.commerce.account.model;version="7.0",com.l
 iferay.commerce.account.service;version="9.0",com.liferay.commerce.co
 nstants;version="12.2",com.liferay.commerce.context;version="8.0",com
 .liferay.commerce.currency.model;version="6.0",com.liferay.commerce.c
 urrency.service;version="4.1",com.liferay.commerce.currency.util;vers
 ion="2.0",com.liferay.commerce.discount.exception;version="2.6",com.l
 iferay.commerce.exception;version="5.6",com.liferay.commerce.model;ve
 rsion="12.2",com.liferay.commerce.order;version="5.0",com.liferay.com
 merce.order.engine;version="2.0",com.liferay.commerce.payment.engine;
 version="4.0",com.liferay.commerce.payment.method;version="2.0",com.l
 iferay.commerce.price;version="5.0",com.liferay.commerce.product.mode
 l;version="19.0",com.liferay.commerce.product.service;version="29.1",
 com.liferay.commerce.product.util;version="19.0",com.liferay.commerce
 .service;version="26.0",com.liferay.commerce.util;version="6.0",com.l
 iferay.commerce.util.comparator;version="6.0",com.liferay.expando.ker
 nel.model;version="4.1",com.liferay.headless.commerce.core.exception.
 mapper;version="1.2",com.liferay.headless.commerce.core.util;version=
 "1.2",com.liferay.headless.commerce.delivery.cart.dto.v1_0;version="3
 .2",com.liferay.headless.commerce.delivery.cart.resource.v1_0;version
 ="8.0",com.liferay.petra.function;version="1.5",com.liferay.petra.str
 ing;version="1.7",com.liferay.portal.events;version="7.0",com.liferay
 .portal.kernel.encryptor;version="1.0",com.liferay.portal.kernel.exce
 ption;version="12.2",com.liferay.portal.kernel.language;version="11.0
 ",com.liferay.portal.kernel.log;version="7.1",com.liferay.portal.kern
 el.model;version="22.0",com.liferay.portal.kernel.portlet;version="20
 .0",com.liferay.portal.kernel.portlet.url.builder;version="1.1",com.l
 iferay.portal.kernel.search;version="14.0",com.liferay.portal.kernel.
 search.filter;version="1.0",com.liferay.portal.kernel.security.auth;v
 ersion="5.0",com.liferay.portal.kernel.security.permission;version="6
 .2",com.liferay.portal.kernel.security.permission.resource;version="2
 .1",com.liferay.portal.kernel.service;version="17.0",com.liferay.port
 al.kernel.servlet;version="11.1",com.liferay.portal.kernel.theme;vers
 ion="10.1",com.liferay.portal.kernel.util;version="41.0",com.liferay.
 portal.kernel.workflow;version="17.1",com.liferay.portal.language,com
 .liferay.portal.odata.entity;version="2.0",com.liferay.portal.odata.f
 ilter;version="1.1",com.liferay.portal.odata.filter.expression;versio
 n="2.1",com.liferay.portal.profile,com.liferay.portal.vulcan.accept.l
 anguage;version="1.1",com.liferay.portal.vulcan.batch.engine;version=
 "2.0",com.liferay.portal.vulcan.batch.engine.resource;version="1.0",c
 om.liferay.portal.vulcan.dto.converter;version="1.8",com.liferay.port
 al.vulcan.fields;version="1.5",com.liferay.portal.vulcan.graphql.anno
 tation;version="1.2",com.liferay.portal.vulcan.graphql.servlet;versio
 n="1.1",com.liferay.portal.vulcan.pagination;version="1.4",com.lifera
 y.portal.vulcan.resource;version="1.3",com.liferay.portal.vulcan.util
 ;version="3.5",io.swagger.v3.oas.annotations;version="2.0",io.swagger
 .v3.oas.annotations.enums;version="2.0",io.swagger.v3.oas.annotations
 .info;version="2.0",io.swagger.v3.oas.annotations.tags;version="2.0",
 javax.portlet,javax.servlet.http,javax.validation.constraints;version
 ="2.0",javax.ws.rs;version="2.1",javax.ws.rs.core;version="2.1",javax
 .ws.rs.ext;version="2.1",org.osgi.framework;version="1.8",org.osgi.se
 rvice.component;version="1.4"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Enterprise-App: product.id=9a473157-06a6-44b6-b017-a360ffaf5f3
 8
Liferay-Releng-App-Title: Liferay Commerce
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: commerce
Liferay-Releng-Suite-Description: This suite is available in the Lifer
 ay bundle.
Liferay-Releng-Suite-Title: Liferay Commerce
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.headless.commerce.delivery.cart.internal.
 dto.v1_0,com.liferay.headless.commerce.delivery.cart.internal.graphql
 .mutation.v1_0,com.liferay.headless.commerce.delivery.cart.internal.g
 raphql.query.v1_0,com.liferay.headless.commerce.delivery.cart.interna
 l.graphql.servlet.v1_0,com.liferay.headless.commerce.delivery.cart.in
 ternal.jaxrs.application,com.liferay.headless.commerce.delivery.cart.
 internal.jaxrs.exception.mapper,com.liferay.headless.commerce.deliver
 y.cart.internal.resource.v1_0,com.liferay.headless.commerce.delivery.
 cart.internal.resource.v1_0.factory,com.liferay.headless.commerce.del
 ivery.cart.internal.security.permission,com.liferay.headless.commerce
 .delivery.cart.impl.internal.portal.profile
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .headless.commerce.delivery.cart.internal.dto.v1_0.AddressDTOConverte
 r,com.liferay.portal.vulcan.dto.converter.DTOConverter";uses:="com.li
 feray.headless.commerce.delivery.cart.internal.dto.v1_0,com.liferay.p
 ortal.vulcan.dto.converter",osgi.service;objectClass:List<String>="co
 m.liferay.headless.commerce.delivery.cart.internal.dto.v1_0.CartDTOCo
 nverter,com.liferay.portal.vulcan.dto.converter.DTOConverter";uses:="
 com.liferay.headless.commerce.delivery.cart.internal.dto.v1_0,com.lif
 eray.portal.vulcan.dto.converter",osgi.service;objectClass:List<Strin
 g>="com.liferay.headless.commerce.delivery.cart.internal.dto.v1_0.Car
 tItemDTOConverter,com.liferay.portal.vulcan.dto.converter.DTOConverte
 r";uses:="com.liferay.headless.commerce.delivery.cart.internal.dto.v1
 _0,com.liferay.portal.vulcan.dto.converter",osgi.service;objectClass:
 List<String>="com.liferay.headless.commerce.delivery.cart.internal.dt
 o.v1_0.NoteDTOConverter,com.liferay.portal.vulcan.dto.converter.DTOCo
 nverter";uses:="com.liferay.headless.commerce.delivery.cart.internal.
 dto.v1_0,com.liferay.portal.vulcan.dto.converter",osgi.service;object
 Class:List<String>="com.liferay.headless.commerce.delivery.cart.inter
 nal.resource.v1_0.OpenAPIResourceImpl";uses:="com.liferay.headless.co
 mmerce.delivery.cart.internal.resource.v1_0",osgi.service;objectClass
 :List<String>="com.liferay.headless.commerce.delivery.cart.resource.v
 1_0.AddressResource$Factory";uses:="com.liferay.headless.commerce.del
 ivery.cart.resource.v1_0",osgi.service;objectClass:List<String>="com.
 liferay.headless.commerce.delivery.cart.resource.v1_0.AddressResource
 ,com.liferay.portal.vulcan.fields.NestedFieldSupport";uses:="com.life
 ray.headless.commerce.delivery.cart.resource.v1_0,com.liferay.portal.
 vulcan.fields",osgi.service;objectClass:List<String>="com.liferay.hea
 dless.commerce.delivery.cart.resource.v1_0.CartCommentResource$Factor
 y";uses:="com.liferay.headless.commerce.delivery.cart.resource.v1_0",
 osgi.service;objectClass:List<String>="com.liferay.headless.commerce.
 delivery.cart.resource.v1_0.CartCommentResource,com.liferay.portal.vu
 lcan.fields.NestedFieldSupport";uses:="com.liferay.headless.commerce.
 delivery.cart.resource.v1_0,com.liferay.portal.vulcan.fields",osgi.se
 rvice;objectClass:List<String>="com.liferay.headless.commerce.deliver
 y.cart.resource.v1_0.CartItemResource$Factory";uses:="com.liferay.hea
 dless.commerce.delivery.cart.resource.v1_0",osgi.service;objectClass:
 List<String>="com.liferay.headless.commerce.delivery.cart.resource.v1
 _0.CartItemResource,com.liferay.portal.vulcan.fields.NestedFieldSuppo
 rt";uses:="com.liferay.headless.commerce.delivery.cart.resource.v1_0,
 com.liferay.portal.vulcan.fields",osgi.service;objectClass:List<Strin
 g>="com.liferay.headless.commerce.delivery.cart.resource.v1_0.CartRes
 ource";uses:="com.liferay.headless.commerce.delivery.cart.resource.v1
 _0",osgi.service;objectClass:List<String>="com.liferay.headless.comme
 rce.delivery.cart.resource.v1_0.CartResource$Factory";uses:="com.life
 ray.headless.commerce.delivery.cart.resource.v1_0",osgi.service;objec
 tClass:List<String>="com.liferay.headless.commerce.delivery.cart.reso
 urce.v1_0.PaymentMethodResource";uses:="com.liferay.headless.commerce
 .delivery.cart.resource.v1_0",osgi.service;objectClass:List<String>="
 com.liferay.headless.commerce.delivery.cart.resource.v1_0.PaymentMeth
 odResource$Factory";uses:="com.liferay.headless.commerce.delivery.car
 t.resource.v1_0",osgi.service;objectClass:List<String>="com.liferay.h
 eadless.commerce.delivery.cart.resource.v1_0.ShippingMethodResource";
 uses:="com.liferay.headless.commerce.delivery.cart.resource.v1_0",osg
 i.service;objectClass:List<String>="com.liferay.headless.commerce.del
 ivery.cart.resource.v1_0.ShippingMethodResource$Factory";uses:="com.l
 iferay.headless.commerce.delivery.cart.resource.v1_0",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.vulcan.graphql.servlet.Ser
 vletData";uses:="com.liferay.portal.vulcan.graphql.servlet",osgi.serv
 ice;objectClass:List<String>="javax.ws.rs.core.Application";uses:="ja
 vax.ws.rs.core",osgi.service;objectClass:List<String>="javax.ws.rs.ex
 t.ExceptionMapper";uses:="javax.ws.rs.ext",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.profile.PortalProfile";uses:="com.lif
 eray.portal.profile"
Require-Capability: osgi.extender;filter :="(&(osgi.extender=osgi.conf
 igurator)(version>=1.0)(!(version>=2.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.commerce.account.service.CommerceAccountService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.co
 mmerce.context.CommerceContextFactory)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.commerce.currency.service.Commerc
 eCurrencyLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.commerce.currency.util.CommercePriceFormatter)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.comme
 rce.order.CommerceOrderValidatorRegistry)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.commerce.order.engine.Commerce
 OrderEngine)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.commerce.payment.engine.CommercePaymentEngine)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.commerce.price.
 CommerceOrderPriceCalculation)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.commerce.product.service.CPDefinitionLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.commerce.product.service.CPInstanceLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.commerce.product
 .service.CommerceChannelLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.commerce.product.service.CommerceC
 hannelService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.commerce.product.util.CPInstanceHelper)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.commerce.service.CPD
 efinitionInventoryLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.commerce.service.CommerceAddressService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.co
 mmerce.service.CommerceOrderItemService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.commerce.service.CommerceOrderN
 oteService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.commerce.service.CommerceOrderService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.commerce.service.Commerc
 eOrderTypeLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.commerce.service.CommerceOrderTypeService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.commerce
 .service.CommerceShippingMethodLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.commerce.util.CommerceCheck
 outStepServicesTracker)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.commerce.util.CommerceShippingEngineRegistry)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.comme
 rce.util.CommerceShippingHelper)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.headless.commerce.core.util.ServiceCont
 extHelper)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.headless.commerce.delivery.cart.internal.dto.v1_0.AddressDTOC
 onverter)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.headless.commerce.delivery.cart.internal.dto.v1_0.CartDTOConve
 rter)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.headless.commerce.delivery.cart.internal.dto.v1_0.CartItemDTOConve
 rter)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.headless.commerce.delivery.cart.internal.dto.v1_0.NoteDTOConverter
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.h
 eadless.commerce.delivery.cart.resource.v1_0.AddressResource)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.headless.c
 ommerce.delivery.cart.resource.v1_0.CartCommentResource)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.headless.commer
 ce.delivery.cart.resource.v1_0.CartItemResource)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.headless.commerce.deliv
 ery.cart.resource.v1_0.CartResource)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.headless.commerce.delivery.cart.res
 ource.v1_0.PaymentMethodResource)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.headless.commerce.delivery.cart.resour
 ce.v1_0.ShippingMethodResource)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.encryptor.Encryptor)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.language.Language)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.security.permission.PermissionChe
 ckerFactory)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.CompanyLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servi
 ce.CountryService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.GroupLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.RegionLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.service.ResourceActionLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.ResourcePermissionLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 rvice.RoleLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.UserLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.util.Portal)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.odata.filter.ExpressionConvert)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.odata.filter.
 FilterParserProvider)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.vulcan.resource.OpenAPIResource)";effective
 :=active,osgi.extender;filter:="(&(osgi.extender=osgi.component)(vers
 ion>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaPort
 let;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.cont
 ract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)
 (version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.headless.commerce.delivery.car
 t.internal.dto.v1_0.AddressDTOConverter.xml,OSGI-INF/com.liferay.head
 less.commerce.delivery.cart.internal.dto.v1_0.CartDTOConverter.xml,OS
 GI-INF/com.liferay.headless.commerce.delivery.cart.internal.dto.v1_0.
 CartItemDTOConverter.xml,OSGI-INF/com.liferay.headless.commerce.deliv
 ery.cart.internal.dto.v1_0.NoteDTOConverter.xml,OSGI-INF/com.liferay.
 headless.commerce.delivery.cart.internal.graphql.servlet.v1_0.Servlet
 DataImpl.xml,OSGI-INF/com.liferay.headless.commerce.delivery.cart.int
 ernal.jaxrs.application.HeadlessCommerceDeliveryCartApplication.xml,O
 SGI-INF/com.liferay.headless.commerce.delivery.cart.internal.jaxrs.ex
 ception.mapper.CouponCodeExceptionMapper.xml,OSGI-INF/com.liferay.hea
 dless.commerce.delivery.cart.internal.jaxrs.exception.mapper.Discount
 ValidatorExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.d
 elivery.cart.internal.jaxrs.exception.mapper.NoSuchAddressExceptionMa
 pper.xml,OSGI-INF/com.liferay.headless.commerce.delivery.cart.interna
 l.jaxrs.exception.mapper.NoSuchOrderExceptionMapper.xml,OSGI-INF/com.
 liferay.headless.commerce.delivery.cart.internal.jaxrs.exception.mapp
 er.NoSuchOrderItemExceptionMapper.xml,OSGI-INF/com.liferay.headless.c
 ommerce.delivery.cart.internal.jaxrs.exception.mapper.NoSuchOrderNote
 ExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.delivery.c
 art.internal.jaxrs.exception.mapper.OrderBillingAddressExceptionMappe
 r.xml,OSGI-INF/com.liferay.headless.commerce.delivery.cart.internal.j
 axrs.exception.mapper.OrderPaymentMethodExceptionMapper.xml,OSGI-INF/
 com.liferay.headless.commerce.delivery.cart.internal.jaxrs.exception.
 mapper.OrderShippingAddressExceptionMapper.xml,OSGI-INF/com.liferay.h
 eadless.commerce.delivery.cart.internal.jaxrs.exception.mapper.OrderS
 hippingMethodExceptionMapper.xml,OSGI-INF/com.liferay.headless.commer
 ce.delivery.cart.internal.jaxrs.exception.mapper.OrderValidatorExcept
 ionMapper.xml,OSGI-INF/com.liferay.headless.commerce.delivery.cart.in
 ternal.resource.v1_0.AddressResourceImpl.xml,OSGI-INF/com.liferay.hea
 dless.commerce.delivery.cart.internal.resource.v1_0.CartCommentResour
 ceImpl.xml,OSGI-INF/com.liferay.headless.commerce.delivery.cart.inter
 nal.resource.v1_0.CartItemResourceImpl.xml,OSGI-INF/com.liferay.headl
 ess.commerce.delivery.cart.internal.resource.v1_0.CartResourceImpl.xm
 l,OSGI-INF/com.liferay.headless.commerce.delivery.cart.internal.resou
 rce.v1_0.OpenAPIResourceImpl.xml,OSGI-INF/com.liferay.headless.commer
 ce.delivery.cart.internal.resource.v1_0.PaymentMethodResourceImpl.xml
 ,OSGI-INF/com.liferay.headless.commerce.delivery.cart.internal.resour
 ce.v1_0.ShippingMethodResourceImpl.xml,OSGI-INF/com.liferay.headless.
 commerce.delivery.cart.internal.resource.v1_0.factory.AddressResource
 FactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.delivery.cart.
 internal.resource.v1_0.factory.CartCommentResourceFactoryImpl.xml,OSG
 I-INF/com.liferay.headless.commerce.delivery.cart.internal.resource.v
 1_0.factory.CartItemResourceFactoryImpl.xml,OSGI-INF/com.liferay.head
 less.commerce.delivery.cart.internal.resource.v1_0.factory.CartResour
 ceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.delivery.car
 t.internal.resource.v1_0.factory.PaymentMethodResourceFactoryImpl.xml
 ,OSGI-INF/com.liferay.headless.commerce.delivery.cart.internal.resour
 ce.v1_0.factory.ShippingMethodResourceFactoryImpl.xml,OSGI-INF/com.li
 feray.headless.commerce.delivery.cart.impl.internal.portal.profile.Mo
 dulePortalProfile.xml
Tool: Bnd-4.3.0.201909301554

